
QGIS Application - Bug report #1484

qgis crashes while editing a layer in a project with missing layers

2009-01-13 03:14 AM - cmoe -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11544

Description

1. open a new project

2. load a vector layer (shape file)

3. save the project

4. move the shape file to an other location/path

5. reopen the project

6. the "project read error" dialog appears followed by the "where is...?" dialog

7. cancel the dialog

8. load a different vector layer in the project

9. make it editable and start editing

10. QGIS crashes....

It looks like, if the "where is"-dialog is canceled, the <Digitizing>-Section in the .qgs-file is  not updated correctly until a change is made in

the snapping options and a new save of the project.

History

#1 - 2009-02-18 01:37 PM - Marco Hugentobler

Is this ticket still valid?

I could not reproduce it with trunk and with 1.0 branch

Marco

#2 - 2009-02-27 06:12 AM - cmoe -

- Resolution set to fixed

- Status changed from Open to Closed

Hi Marco

I can not reproduce the error with commit:bc0826af (SVN r10244) as well. I close the ticket.

regards

Cédric

#3 - 2009-08-22 01:02 AM - Anonymous

2025-04-27 1/2



Milestone Version 1.0.2 deleted
